package com.engine.organization.service;

import com.engine.organization.entity.postion.param.PostInfoSearchParam;

import java.util.Collection;
import java.util.Map;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/13
 * @version: 1.0
 */
public interface PostInfoService {
    /**
     * 职务信息列表
     *
     * @param params
     * @return
     */
    Map<String, Object> listPage(Map<String, Object> params);

    /**
     * 新增职务信息
     * @param param
     * @return
     */
    int savePostInfo(PostInfoSearchParam param);

    /**
     * 更新职务信息信息
     *
     * @param param
     * @return
     */
    int updatePostInfo(PostInfoSearchParam param);

    /**
     * 更新禁用标记
     *
     * @param params
     */
    int updateForbiddenTagById(PostInfoSearchParam params);


    /**
     * 根据ID批量删除
     *
     * @param ids
     */
    int deleteByIds(Collection<Long> ids);

    /**
     * 获取搜索条件
     *
     * @param params
     * @return
     */
    Map<String, Object> getSearchCondition(Map<String, Object> params);


    /**
     * 获取新增表单
     *
     * @param params
     * @return
     */
    Map<String, Object> getPostInfoForm(Map<String, Object> params);

    /**
     * 获取列表页面按钮信息
     * @return
     */
    Map<String, Object> getHasRight();
    

}
